Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActClassDocumentEntryAct

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActClassDocumentEntryAct

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActClassDocumentEntryAct

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Class Document Entry Act', and utility methods for working with them. abstDomain: V19604 (C-0-D11527-V13856-V19604-cpt)

See Also:
  `CDAR2Package.getXActClassDocumentEntryAct()`

Field Summary
`static int` | `ACCM` The 'ACCM' literal value.
`static XActClassDocumentEntryAct` | `ACCM_LITERAL` The 'ACCM' literal object.
`static int` | `ACT` The 'ACT' literal value.
`static XActClassDocumentEntryAct` | `ACT_LITERAL` The 'ACT' literal object.
`static int` | `CONS` The 'CONS' literal value.
`static XActClassDocumentEntryAct` | `CONS_LITERAL` The 'CONS' literal object.
`static int` | `CTTEVENT` The 'CTTEVENT' literal value.
`static XActClassDocumentEntryAct` | `CTTEVENT_LITERAL` The 'CTTEVENT' literal object.
`static int` | `INC` The 'INC' literal value.
`static XActClassDocumentEntryAct` | `INC_LITERAL` The 'INC' literal object.
`static int` | `INFRM` The 'INFRM' literal value.
`static XActClassDocumentEntryAct` | `INFRM_LITERAL` The 'INFRM' literal object.
`static int` | `PCPR` The 'PCPR' literal value.
`static XActClassDocumentEntryAct` | `PCPR_LITERAL` The 'PCPR' literal object.
`static int` | `REG` The 'REG' literal value.
`static XActClassDocumentEntryAct` | `REG_LITERAL` The 'REG' literal object.
`static int` | `SPCTRT` The 'SPCTRT' literal value.
`static XActClassDocumentEntryAct` | `SPCTRT_LITERAL` The 'SPCTRT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Class Document Entry Act' enumerators.

Method Summary
`static XActClassDocumentEntryAct` | `get(int value)` Returns the 'XAct Class Document Entry Act' literal with the specified integer value.
`static XActClassDocumentEntryAct` | `get(java.lang.String literal)` Returns the 'XAct Class Document Entry Act' literal with the specified literal value.
`static XActClassDocumentEntryAct` | `getByName(java.lang.String name)` Returns the 'XAct Class Document Entry Act' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACT

    public static final int ACT

  The 'ACT' literal value.

  If the meaning of 'ACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACT_LITERAL`, Constant Field Values

### ACCM

    public static final int ACCM

  The 'ACCM' literal value.

  If the meaning of 'ACCM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACCM_LITERAL`, Constant Field Values

### CONS

    public static final int CONS

  The 'CONS' literal value.

  If the meaning of 'CONS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONS_LITERAL`, Constant Field Values

### CTTEVENT

    public static final int CTTEVENT

  The 'CTTEVENT' literal value.

  If the meaning of 'CTTEVENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CTTEVENT_LITERAL`, Constant Field Values

### INC

    public static final int INC

  The 'INC' literal value.

  If the meaning of 'INC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INC_LITERAL`, Constant Field Values

### INFRM

    public static final int INFRM

  The 'INFRM' literal value.

  If the meaning of 'INFRM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INFRM_LITERAL`, Constant Field Values

### PCPR

    public static final int PCPR

  The 'PCPR' literal value.

  If the meaning of 'PCPR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PCPR_LITERAL`, Constant Field Values

### REG

    public static final int REG

  The 'REG' literal value.

  If the meaning of 'REG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REG_LITERAL`, Constant Field Values

### SPCTRT

    public static final int SPCTRT

  The 'SPCTRT' literal value.

  If the meaning of 'SPCTRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPCTRT_LITERAL`, Constant Field Values

### ACT_LITERAL

    public static final XActClassDocumentEntryAct ACT_LITERAL

  The 'ACT' literal object.

  See Also:
    `ACT`

### ACCM_LITERAL

    public static final XActClassDocumentEntryAct ACCM_LITERAL

  The 'ACCM' literal object.

  See Also:
    `ACCM`

### CONS_LITERAL

    public static final XActClassDocumentEntryAct CONS_LITERAL

  The 'CONS' literal object.

  See Also:
    `CONS`

### CTTEVENT_LITERAL

    public static final XActClassDocumentEntryAct CTTEVENT_LITERAL

  The 'CTTEVENT' literal object.

  See Also:
    `CTTEVENT`

### INC_LITERAL

    public static final XActClassDocumentEntryAct INC_LITERAL

  The 'INC' literal object.

  See Also:
    `INC`

### INFRM_LITERAL

    public static final XActClassDocumentEntryAct INFRM_LITERAL

  The 'INFRM' literal object.

  See Also:
    `INFRM`

### PCPR_LITERAL

    public static final XActClassDocumentEntryAct PCPR_LITERAL

  The 'PCPR' literal object.

  See Also:
    `PCPR`

### REG_LITERAL

    public static final XActClassDocumentEntryAct REG_LITERAL

  The 'REG' literal object.

  See Also:
    `REG`

### SPCTRT_LITERAL

    public static final XActClassDocumentEntryAct SPCTRT_LITERAL

  The 'SPCTRT' literal object.

  See Also:
    `SPCTRT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Class Document Entry Act' enumerators.

Method Detail

### get

    public static XActClassDocumentEntryAct get(java.lang.String literal)

  Returns the 'XAct Class Document Entry Act' literal with the specified literal value.

### getByName

    public static XActClassDocumentEntryAct getByName(java.lang.String name)

  Returns the 'XAct Class Document Entry Act' literal with the specified name.

### get

    public static XActClassDocumentEntryAct get(int value)

  Returns the 'XAct Class Document Entry Act' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD